Subject: Re: bug#65250: 30.0.50; "C-h f" is much slower on the master branch

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Aug 2023 18:11:42 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 14 Aug 2023 10:51:46 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So I think the patch I presented in my original report is exactly what
> > is needed here: the problem only happens in builds without
> > native-compilation, and in that case there's no reason whatsoever to
> > call comp-function-type-spec.  (And builds from a release tarball will
> > not see that problem, since the tarball comes with byte-compiled
> > comp.el and comp-cstr.el.)
> >
> > Do you agree?
> 
> I certainly do.  Thanks for the anylysis and the patch!

Installed.

Btw, why aren't comp.el and comp-cstr.el byte-compiled in a build
without native-compilation?  That's probably a bug in itself: we
generally byte-compile all the *.el files, even those that are not
relevant to the configuration being built.